Question "Package mysql-server n'est pas installé" même s'il est installé


J'essaie d'installer un paquet deb exécutant la commande

dpkg -i code / mydeb.deb

cela donne une erreur en disant

dpkg: dependency problems prevent configuration of openmrs:
 openmrs depends on mysql-server (>= 5.0); however:
  Package mysql-server is not installed.

J'ai des lamppes fonctionnant sur mon système d'exploitation. Exécuter des commandes mysql comme mysql et sudo mysql ne donne aucune erreur.

Comment puis-je surmonter cette erreur?

METTRE À JOUR

root@ubuntu:/home/ankit# apt-cache policy mysql-server
mysql-server:
  Installed: (none)
  Candidate: 5.5.35-0ubuntu0.12.10.2
  Version table:
     5.5.35-0ubuntu0.12.10.2 0
        500 http://us.archive.ubuntu.com/ubuntu/ quantal-updates/main i386 Packages
     5.5.35-0ubuntu0.12.10.1 0
        500 http://security.ubuntu.com/ubuntu/ quantal-security/main i386 Packages
     5.5.27-0ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ quantal/main i386 Packages

METTRE À JOUR

Comme me l'a suggéré dans les commentaires, j'ai installé mysql-server et la sortie de apt-cache policy mysql-server a maintenant changé à mais je reçois toujours la même erreur

mysql-server:
  Installed: 5.5.35-0ubuntu0.12.10.2
  Candidate: 5.5.35-0ubuntu0.12.10.2
  Version table:
 *** 5.5.35-0ubuntu0.12.10.2 0
        500 http://us.archive.ubuntu.com/ubuntu/ quantal-updates/main i386 Packages
        100 /var/lib/dpkg/status
     5.5.35-0ubuntu0.12.10.1 0
        500 http://security.ubuntu.com/ubuntu/ quantal-security/main i386 Packages
     5.5.27-0ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ quantal/main i386 Packages

2
2018-02-04 12:40


origine


Quelle est la sortie de apt-cache policy mysql-server? (S'il vous plaît, modifier la question pour ajouter cette information.) - edwin
@edwin J'ai mis à jour ma question en conséquence. pouvez-vous aider? - Ankit Khedekar
le mysql-server package est un paquet vide qui dépend du "meilleur" paquet mysql-server-M.m (par ex. mysql-server-5.5) il est donc tout à fait possible d’avoir un serveur LAMP en fonctionnement sans lui. Vous pouvez essayer simplement d'installer le paquet vide - il devrait réussir à condition que le paquet dont il dépend n'entre pas en conflit avec le paquet déjà installé mysql-server-5.5 je pense - steeldriver
Et comment installer exactement ce paquet vide? - Ankit Khedekar
Fonctionnement sudo apt-get -f install peut parfois aussi aider à installer les dépendances manquantes (exécutez-le directement après votre dpkg -i *.deb commander). - chesedo


Réponses: